/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Sep-24-2011 10:26:41pm
Filepath: scripts\Items\Artifacts\leviathan\CaptainBoots.cs
Lines of code: 38

Description: 

***********************************************************/


using Server;
using System;

namespace Server.Items
{
	
	public class CaptainBoots : ThighBoots
	{
		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get { return 255; } }

		[Constructable]
		public CaptainBoots() : base()
		{
			Name="The Captain's Finest Boots";

			Attributes.DefendChance = 10;
			Attributes.NightSight = 1;
			Attributes.ReflectPhysical = 10;
			Attributes.Luck=100;		
		}
		

		public CaptainBoots( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 2 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
			
			if(version<=1)
			{
				Attributes.DefendChance = 10;				
				Attributes.Luck=100;					
				Attributes.ReflectPhysical = 10;
			}
		}
	}
	
}